#pragma once


#include <DShow.h>		// DirectShowͷļ
#include "afxcmn.h"

class CMFCPlayerDlg : public CDialog
{
// 
public:
	CMFCPlayerDlg(CWnd* pParent = NULL);	// ׼캯

// Ի
	enum { IDD = IDD_MFCPLAYER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV ֧

// ʵ
protected:
	void SetWndText(UINT ID, const CString&  strText);
	// ɵϢӳ亯
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
	HICON m_hIcon;
	HRESULT Init(HWND   hWnd);
	void EnableControls(bool  isEnable);
	void EnableWnd(UINT id, bool  isEnable);
	HRESULT InitGraphBuilder();

public:
	afx_msg void OnBnClickedOpenfile();
	afx_msg void OnBnClickedPause();
	afx_msg void OnBnClickedStop();
	afx_msg void OnBnClickedExit();

private:
	IGraphBuilder*  m_pGraphBuilder;
	IMediaControl*	m_pMediaControl;
	IMediaSeeking*	m_pMediaSeeking;
	IMediaEventEx*  m_pMediaEventEx;
	LONGLONG		m_totalDuration;
	float			m_step;
	long			m_timeElapsed;

public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	CProgressCtrl m_ProgressCtrl;
	afx_msg void OnBnClickedStart();
};
